# Arbitrary values chosen by author of this package

MIN_YEAR = 1980
MAX_YEAR = 2200

# Const values for analysis of Events
CLASS_EVENT = 8  # "EVENT"
CLASS_SET_VALUE = 16  # "SET_VALUE"
CLASS_MDB_CAUTION = 128  # "MDB_CAUTION"
CLASS_MDB_ADVISORY = 256  # "MDB_ADVISORY"
CLASS_MDB_WARNING = 32  # "MDB_WARNING"
TYPE_BAG_EFFLUENT = 233

# CRRT
TYPE_BAG_PBP_CITRATE = 254
TYPE_BAG_SUBSTITUTE_PHOXILIUM = 253
TYPE_BAG_DIALYSATE = 252
TYPE_BAG_PRISMOCITRATE_18 = 486
TYPE_FILTER_CHOSEN = 520

# TPE
TYPE_BAG_SUBSTITUTE_ALBUMIN = 236
TYPE_BAG_PBP_CRYSTALLOID = 236

TYPE_SET = 284

TYPE_SET_CHANGED = 39

TYPE_GENERAL_MALFUNCTION = 80

TYPE_START = 16  # Therapy start
TYPE_THERAPY_CVVHDF = 8  # Therapy choice CVVHDF
TYPE_THERAPY_TPE = 9  # Therapy choice TPE
TYPE_TOTAL_SUBSTITUTE_VOLUME = 32  # Total plasma volume for TPE
TYPE_SYRINGE = 28  # Syringe installed
TYPE_SYRINGE_SIZE = 49  # Syringe size in mL
TYPE_CALCIUM_CONCENTRATION_SYRINGE = 236  # Calcium concentration chosen (mmol/L)
TYPE_CALCIUM_CONCENTRATION_SUBSITUTE = 260
TYPE_CITRATE = 66
TYPE_NO_FILTER = 23
TYPE_FILTER_CLOT = 5

TYPE_SUBSTITUTE_VOLUME = 55

TYPE_END_OF_THERAPY = 21

# Pairs of compinations of [Class(cod), Type(cod)] from "Events" table (PLE)
EVENT_CHANGE_SET = (CLASS_MDB_ADVISORY, [TYPE_SET])  # set change suggested

EVENT_SET_CHANGED = (CLASS_EVENT, [TYPE_SET_CHANGED])

EVENT_CHANGE_PBP = (CLASS_MDB_CAUTION, [TYPE_BAG_PBP_CITRATE, TYPE_BAG_PBP_CRYSTALLOID])  # PBP bag empty
EVENT_CHANGE_EFFLUENT = (CLASS_MDB_CAUTION, [TYPE_BAG_EFFLUENT])  # effluent bag full
EVENT_CHANGE_SUBSTITUTE = (
CLASS_MDB_CAUTION, [TYPE_BAG_SUBSTITUTE_PHOXILIUM, TYPE_BAG_SUBSTITUTE_ALBUMIN])  # substitute bag empty
EVENT_CHANGE_DIALYSATE = (CLASS_MDB_CAUTION, [TYPE_BAG_DIALYSATE])

EVENT_CVVHDF_CHOSEN = (CLASS_EVENT, [TYPE_THERAPY_CVVHDF])  # kind of therapy chosen
EVENT_TPE_CHOSEN = (CLASS_EVENT, [TYPE_THERAPY_TPE])

EVENT_THERAPY_START = (CLASS_EVENT, [TYPE_START])  # therapy start
EVENT_THERAPY_END = (CLASS_EVENT, [TYPE_END_OF_THERAPY])  # therapy finished

EVENT_SYRINGE_CHANGED = (CLASS_EVENT, [TYPE_SYRINGE])
EVENT_SYRINGE_SIZE_SET = (CLASS_SET_VALUE, [TYPE_SYRINGE_SIZE])  # Sample(cod) has size in mL

EVENT_CALCIUM_CONCENTRATION_SYRINGE = (CLASS_SET_VALUE, [TYPE_CALCIUM_CONCENTRATION_SYRINGE])
EVENT_CALCIUM_CONCENTRATION_SUBSTITUTE = (CLASS_SET_VALUE, [TYPE_CALCIUM_CONCENTRATION_SUBSITUTE])

EVENT_PLASMA_VOLUME_SET = (CLASS_SET_VALUE, [TYPE_TOTAL_SUBSTITUTE_VOLUME])

EVENT_SUBSTITUTE_VOLUME_SET = (CLASS_SET_VALUE, [TYPE_SUBSTITUTE_VOLUME])
EVENT_CITRATE_CHOSEN = (CLASS_SET_VALUE, [TYPE_CITRATE])

EVENT_PRISMOCITRATE_CHOSEN = (CLASS_SET_VALUE, [TYPE_BAG_PRISMOCITRATE_18])

EVENT_FILTER_CHOSEN = (CLASS_SET_VALUE, [TYPE_FILTER_CHOSEN])

EVENT_GENERAL_MALFUNCTION = (CLASS_MDB_WARNING, [TYPE_GENERAL_MALFUNCTION])
EVENT_CLOTTING_FILTER = (CLASS_MDB_WARNING, [TYPE_FILTER_CLOT])

SAMPLE_COD = 6
